package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)枚举类
*
* @author zxfei
*/
public enum DeviceSourceEnum {
    大厅(0, "大厅"),
    其它(1, "其它");
    private Integer value;
    private String desc;

    DeviceSourceEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DeviceSourceEnum getByValue(Integer value) {
        for (DeviceSourceEnum deviceSourceEnum : DeviceSourceEnum.values()) {
            if (deviceSourceEnum.getValue() == value) {
                return deviceSourceEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DeviceSourceEnum item : DeviceSourceEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}